mod cli_args;
mod commands;
mod format;
mod utils;

use clap::Parser;

use crate::cli_args::Args;
use crate::format::load_image;

fn main() -> anyhow::Result<(), anyhow::Error> {
	env_logger::Builder::from_env("LOG_LEVEL").init();
	let args: Args = Args::parse();
	args.run()?;
	Ok(())
}
